> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/users/update#auth).

Updates the details of an EMM-managed user.

<br />


Can be used with EMM-managed users only (not Google managed users).
Pass the new details in the
[Users](https://developers.google.com/android/work/play/emm-api/v1/users)
resource in the request body. Only the `displayName` field
can be changed. Other fields must either be unset or have the
currently active value.

## Request

### HTTP request

```
PUT https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply a [Users resource](https://developers.google.com/android/work/play/emm-api/v1/users#resource) with the following properties:

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Optional Properties** ||||
| `displayName` | `string` | The name that will appear in user interfaces. Setting this property is optional when creating EMM-managed users. If you do set this property, use something generic about the organization (such as "Example, Inc.") or your name (as EMM). Not used for Google-managed user accounts. | writable |

## Response

If successful, this method returns a [Users resource](https://developers.google.com/android/work/play/emm-api/v1/users#resource) in the response body.